> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get project runtime options



## OpenAPI

````yaml api-reference/openapi.v1.json GET /projects/{projectID}/runtime-options
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /projects/{projectID}/runtime-options:
    get:
      tags:
        - projects
      summary: Get project runtime options
      operationId: getProjectRuntimeOptions
      parameters:
        - in: path
          name: projectID
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectRuntimeOptionsResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    ProjectRuntimeOptionsResponse:
      additionalProperties: false
      properties:
        classes:
          items:
            $ref: '#/components/schemas/ProjectRuntimeOption'
          type: array
      required:
        - classes
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    ProjectRuntimeOption:
      additionalProperties: false
      properties:
        cpu_kind:
          enum:
            - shared
            - performance
          type: string
        cpus:
          format: int64
          minimum: 1
          type: integer
        credits_per_hour:
          format: double
          minimum: 0
          type: number
        label:
          minLength: 1
          type: string
        memory_mb:
          format: int64
          minimum: 1
          type: integer
        tier_allowed:
          type: boolean
        vm_size:
          enum:
            - small
            - medium
            - large
            - xl
          type: string
        volume_size_gb:
          format: int64
          minimum: 1
          type: integer
        warm:
          $ref: '#/components/schemas/ProjectRuntimeOptionWarmAvailability'
      required:
        - vm_size
        - label
        - cpu_kind
        - cpus
        - memory_mb
        - volume_size_gb
        - credits_per_hour
        - tier_allowed
        - warm
      type: object
    ProjectRuntimeOptionWarmAvailability:
      additionalProperties: false
      properties:
        configured_slots:
          format: int64
          minimum: 0
          type: integer
        ready_machines:
          format: int64
          minimum: 0
          type: integer
      required:
        - configured_slots
        - ready_machines
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````